//#####################################################################
// Copyright 2012.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYREGHT.txt.
//#####################################################################
#include <Core/Symbolics/CODE_BLOCK.h>
namespace PhysBAM{
//#####################################################################
// Function Merge_Code
//#####################################################################
void CODE_BLOCK::
Merge_Code(CODE_BLOCK* cb)
{
    insts.splice(insts.end(),cb->insts);
}
std::ostream& operator<<(std::ostream& o,const std::pair<CODE_BLOCK*,std::list<INSTRUCTION>::iterator>& it)
{
    o<<"("<<it.first->id<<" ";
    if(it.second==it.first->insts.end()) return o<<"end";
    else o<<*it.second;
    return o<<")";
}
std::ostream& operator<<(std::ostream& o,const CODE_BLOCK::ITERATOR& it)
{
    return o<<it.pr;
}
}
